Issue 26964

Summary: RTF: Vertical Cell merging in tables not imported correctly
Product: Writer Reporter: martin_maher
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: alaw, andreas.martens, issues, jian.li, kpalagin, scott.herter
Version: OOo 1.0.0   
Target Milestone: ---   
Hardware: Sun   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
RTF Table created in OO with column cells merged none

Description martin_maher 2004-03-25 11:06:26 UTC
mmaher: RTF Tables in which cells in the same column have been merged are not
imported correctly.
Comment 1 martin_maher 2004-03-25 11:09:47 UTC
Created attachment 14062 [details]
RTF Table created in OO with column cells merged
Comment 2 martin_maher 2004-05-07 11:12:49 UTC
MM: setting target
Comment 3 andreas.martens 2004-12-01 16:09:04 UTC
ama -> flr: Please have a look.
Comment 4 flr 2004-12-02 09:33:12 UTC
The RTF control for vertical merge \clvmgf and \clvmrg are currently not
supported. E.g. the RTF document
{\rtf1
\trowd
\clvmgf\cellx1000
\cellx2000
\pard\intbl A\cell
\pard\intbl B\cell
\row
\trowd
\clvmrg\cellx1000
\cellx2000
\pard\intbl C\cell
\pard\intbl \cell
\row
}
should result in a table 
+---+---+
| A | B |
+   +---+
|   | D |
+---+---+

When implementing this feature beware of the cell borders. E.g. MS-Word takes
the bottom border from the last cell merged. E.g.
{\rtf1
\trowd
\clvmgf\cellx1000
\cellx2000
\pard\intbl A\cell
\pard\intbl B\cell
\row
\trowd
\clvmrg\clbrdrb\brdrdb\cellx1000
\cellx2000
\pard\intbl C\cell
\pard\intbl D\cell
\row
}
results in the table ("===" indicates the drawn border)
+---+---+
| A | B |
+   +---+
|   | D |
=====---+
Comment 5 michael.ruess 2006-01-18 13:33:36 UTC
*** Issue 60582 has been marked as a duplicate of this issue. ***
Comment 6 Mathias_Bauer 2006-08-30 15:15:38 UTC
reassigning to hbrinkm
Comment 7 michael.ruess 2007-03-30 13:04:23 UTC
*** Issue 75898 has been marked as a duplicate of this issue. ***
Comment 8 andrey_ 2007-03-30 13:29:21 UTC
Will the problem be decided?
Comment 9 juhan 2008-05-04 09:58:03 UTC
And what about the decision? It's very important issue.
Comment 10 michael.ruess 2009-04-01 09:02:09 UTC
*** Issue 100736 has been marked as a duplicate of this issue. ***
Comment 11 nn6eumtr 2009-06-13 11:58:39 UTC
I've verified that defect still exists in v3.1.0. RTF with vertical merged cells
is written correctly, but merge attribute is lost in import. Issue 87169 is a
duplicate of this issue.
Comment 12 michael.ruess 2009-07-13 15:47:29 UTC
*** Issue 103505 has been marked as a duplicate of this issue. ***
Comment 13 chemtech 2009-07-28 04:47:27 UTC
This issue is still present in OOo-Dev_DEV300_m53_Win32Intel version.
Comment 14 michael.ruess 2009-08-11 09:06:45 UTC
*** Issue 96873 has been marked as a duplicate of this issue. ***
Comment 15 michael.ruess 2009-08-11 09:19:39 UTC
*** Issue 87169 has been marked as a duplicate of this issue. ***
Comment 16 michael.ruess 2009-08-11 09:41:51 UTC
*** Issue 104139 has been marked as a duplicate of this issue. ***
Comment 17 michael.ruess 2009-09-01 15:28:49 UTC
*** Issue 104687 has been marked as a duplicate of this issue. ***
Comment 18 michael.ruess 2009-09-28 09:35:02 UTC
*** Issue 105370 has been marked as a duplicate of this issue. ***
Comment 19 sherter 2010-11-23 15:56:18 UTC
I have just verified the problem is in 3.2.1 as well.
Comment 20 Marcus 2017-05-20 11:22:09 UTC
Reset assigne to the default "issues@openoffice.apache.org".